#1300 find returns incomplete results with -iregex

MSYS
closed
nobody
None
out-of-date
Unknown
2013-01-29
2009-06-11
No

Hi.

Find does not print some files or none at all when using the -iregex test:

>>>>>>>>
$ ls
Thumbs.db bin doc etc home include info lib m.ico man mingw msys.bat msys.ico postinstall share

$ find -maxdepth 1 # prints 17 files
.
./.bash_history
./bin
./doc
./etc
./home
./include
./info
./lib
./m.ico
./man
./mingw
./msys.bat
./msys.ico
./postinstall
./share
./Thumbs.db

$ find -maxdepth 1 -iregex '.*' # only prints 10 files
.
./bin
./doc
./etc
./include
./lib
./man
./msys.bat
./postinstall
./Thumbs.db
<<<<<<<<<<<<<<

GNU find version 4.3.0
Features enabled: LEAF_OPTIMISATION FTS

msysinfo-1.3: Send this to the MSYS support list:

MSYS 1.0.11(0.46/3/2) 2008-08-25 23:40 i686 unknown; targ=MINGW32
GNU bash, version 3.1.0(1)-release (i686-pc-msys); ENV=.profile
GNU Make 3.81This program built for i686-pc-msys; MAKE_MODE=unix
gcc.exe (GCC) 3.4.5 (mingw-vista special); targ=MINGW32
GNU ld (GNU Binutils) 2.19.1
24 2008-08-26 01:22:40.000000000 +0100 /bin/msys-1.0.dll
92 2008-08-26 01:22:40.000000000 +0100 /bin/msys-bz2-1.dll
36 2008-08-26 01:22:39.000000000 +0100 /bin/make.exe
2 2008-02-06 23:22:34.000000000 +0100 /mingw/bin/gcc.exe
08 2009-02-03 14:10:26.000000000 +0100 /mingw/bin/ld.exe
HOME=/home/normal
Sysname=MINGW32_NT-5.1 OSTYPE=msys TERM=msys

Regards,
Claudio

Discussion

  • Earnie Boyd

    Earnie Boyd - 2012-06-14

    If you are still having problems with more recent versions please open a new issue.

     
  • Earnie Boyd

    Earnie Boyd - 2012-06-14
    • status: open --> closed-out-of-date
     
  • Earnie Boyd

    Earnie Boyd - 2013-01-29
    • status: closed-out-of-date --> closed
    • resolution: --> out-of-date
    • category: --> Unknown
    • milestone: --> MSYS
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks